#ifndef __KINDUSTRYCALENDAR__
#define __KINDUSTRYCALENDAR__
#include "kCalendar.h"
class kIndustryCalendar: public kCalendar {
private:
	unsigned long m_lastTimePointBeAdded;
public:
	static kIndustryCalendar* getInstance() {
		static kIndustryCalendar *instance = new kIndustryCalendar();
		return instance;
	}
	
	void initialize();
	
	void addJob(void (*func)(), unsigned long time);
	
	void addJob(void (*func)(), bool (*conditionFunc)(), unsigned long time = 0);
};

#endif
